Bug 955196 - wesnoth package should be built with PIE flags
Summary: wesnoth package should be built with PIE flags
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wesnoth
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-22 14:21 UTC by Dhiru Kholia
Modified: 2014-03-25 03:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-30 04:45:48 UTC


Attachments (Terms of Use)

Description Dhiru Kholia 2013-04-22 14:21:44 UTC
Description of problem:

http://fedoraproject.org/wiki/Packaging:Guidelines#PIE says that "you MUST
enable the PIE compiler flags if your package is long running ...".

However, currently wesnoth is not being built with PIE flags. This is a
clear violation of the packaging guidelines.

This issue (in its wider scope) is being discussed at,

https://fedorahosted.org/fesco/ticket/1104

https://lists.fedoraproject.org/pipermail/devel/2013-March/180827.html

Version-Release number of selected component (if applicable):

wesnoth-server-1.10.6-1.fc19.x86_64.rpm

How reproducible:

You can use following programs to check if a package is hardened:

http://people.redhat.com/sgrubb/files/rpm-chksec

OR

https://github.com/kholia/checksec

Steps to Reproduce:

Get scanner.py from https://github.com/kholia/checksec

$ ./scanner.py wesnoth-server-1.10.6-1.fc19.x86_64.rpm
wesnoth-server,wesnoth-server-1.10.6-1.fc19.x86_64.rpm,/usr/sbin/wesnothd,NX=Enabled,CANARY=Enabled,RELRO=Partial,PIE=Disabled,RPATH=Disabled,RUNPATH=Disabled,FORTIFY=Enabled,CATEGORY=None

Comment 1 Gwyn Ciesla 2013-04-22 14:23:06 UTC
Interesting.  First line of wesnoth.spec.

%global _hardened_build 1


Can you confirm?

Comment 2 Dhiru Kholia 2013-04-25 09:37:18 UTC
Please use correct LDFLAGS. See attachment in https://bugzilla.redhat.com/show_bug.cgi?id=955446 for hints.

Comment 3 Gwyn Ciesla 2013-04-25 14:52:31 UTC
Looks good, thanks!

Comment 4 Fedora Update System 2013-04-25 15:57:48 UTC
wesnoth-1.10.6-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/wesnoth-1.10.6-3.fc19

Comment 5 Fedora Update System 2013-04-26 14:29:28 UTC
Package wesnoth-1.10.6-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wesnoth-1.10.6-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6688/wesnoth-1.10.6-3.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-30 04:45:49 UTC
wesnoth-1.10.6-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.